#ifndef SDL_MAINWINDOW_H
#define SDL_MAINWINDOW_H

#include <opengl-playground/mainwindow.hpp>
#include <SDL2/SDL.h>

class SdlMainWindow : public MainWindow
{
	public:
		SdlMainWindow(int height, int width);
		~SdlMainWindow();
		void show();
		void swapBuffer();
		void activateGlContext();
		SDL_Window *getWindow();
		SDL_GLContext getContext();
	private:
		SDL_Window *window;
		SDL_GLContext context;
		int width;
		int height;

};

#endif // SDL_MAINWINDOW_H
